ChunkExtension.State (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http.parser, class: ChunkExtension, enum: State

# Enum ChunkExtension.State

java.lang.Object
java.lang.Enum<ChunkExtension.State>
org.apache.tomcat.util.http.parser.ChunkExtension.State

All Implemented Interfaces:
  `Serializable, Comparable<ChunkExtension.State>, java.lang.constant.Constable`

Enclosing class:
  `ChunkExtension`

public static enum ChunkExtension.State extends Enum<ChunkExtension.State>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CR`
  `EQUALS`
  `NAME`
  `POST_NAME`
  `POST_VALUE`
  `PRE_NAME`
  `QUOTED_VALUE`
  `VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChunkExtension.State`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ChunkExtension.State[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRE_NAME

    public static final ChunkExtension.State PRE_NAME

  - ### NAME

    public static final ChunkExtension.State NAME

  - ### POST_NAME

    public static final ChunkExtension.State POST_NAME

  - ### EQUALS

    public static final ChunkExtension.State EQUALS

  - ### VALUE

    public static final ChunkExtension.State VALUE

  - ### QUOTED_VALUE

    public static final ChunkExtension.State QUOTED_VALUE

  - ### POST_VALUE

    public static final ChunkExtension.State POST_VALUE

  - ### CR

    public static final ChunkExtension.State CR

- ## Method Details

  - ### values

    public static ChunkExtension.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ChunkExtension.State valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null